package jp.mosp.payroll.dto;

import java.util.Date;

import jp.mosp.payroll.dao.DetailTimeDao;

/**
 * 各種明細テーブルのレコードを保持する。<br><br>
 * {@link DetailTimeDao}及びその拡張クラスと共に、DBとJavaプログラム間でレコードを共有する。<br>
 */
public class DetailTimeDto extends DetailDto {
	
	private static final long serialVersionUID = -3511756140409865405L;
	
	/**
	 * 明細値。<br>
	 */
	private float amount;
	
	/**
	 * インスタンスを生成する。
	 */
	public DetailTimeDto() {
		// 処理無し
	}
	
	/**
	 * インスタンスを生成し、フィールドを設定する。
	 * @param kCode      設定社員コード
	 * @param calcDate   設定計算年月
	 * @param detailCode 設定明細コード
	 * @param detailAbbr 設定略称
	 * @param amount     設定明細値
	 */
	public DetailTimeDto(
			String kCode     ,
			Date   calcDate  ,
			String detailCode,
			String detailAbbr,
			float  amount    
	) {
		super(kCode, calcDate, detailCode, detailAbbr);
		setAmount(amount);
	}

	/**
	 * 明細値を取得する。
	 * @return 明細値
	 */
	public float getAmount() {
		return amount;
	}

	/**
	 * 明細値を設定する。
	 * @param amount 設定する明細値
	 */
	public void setAmount(float amount) {
		this.amount = amount;
	}
	
}
